{"openapi":"3.0.1","info":{"title":"2.61 Самозанятые. Справочники","description":"2.61 Самозанятые. Регистрация, привязка, доходы, уведомления","contact":{"name":"Владимир Манзюк","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=226628804","email":"Manzuk@vtb.ru"},"version":"1.0.0"},"servers":[{"url":"http://subo-smz-backend.apps.d0-oscp.corp.dev.vtb/api/dictionary/v1","description":"Generated server url"}],"security":[{"EpaAuth":[],"basicAuth":[],"clientId":[]}],"tags":[{"name":"income-cancel-reasons","description":"Получение причин отмены чека"},{"name":"activity-list","description":"Получение видов деятельности"},{"name":"get-faq","description":"Получение FAQ"},{"name":"registration-rejection-reasons","description":"Получение причин отказа постановки на учет"},{"name":"taxpayer-unregistration-reasons","description":"Получение актуального списка причин самостоятельного снятия с учета"},{"name":"region-list","description":"Получение справочника регионов"}],"paths":{"/taxpayer/unregistration/reasons":{"get":{"tags":["taxpayer-unregistration-reasons"],"operationId":"list","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetTaxpayerUnregistrationReasonsResponse"}}}}}}},"/rejection":{"get":{"tags":["registration-rejection-reasons"],"operationId":"list_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetRegistrationRejectionReasonsResponse"}}}}}}},"/regions":{"get":{"tags":["region-list"],"operationId":"list_2","parameters":[{"name":"search","in":"query","description":"Строка поиска","required":false,"schema":{"maxLength":100,"minLength":3,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetRegionListResponse"}}}}}}},"/income/cancel/reasons":{"get":{"tags":["income-cancel-reasons"],"operationId":"list_3","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetIncomeCancelReasonsResponse"}}}}}}},"/faq":{"get":{"tags":["get-faq"],"operationId":"faq","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetFaqListResponse"}}}}}}},"/activities":{"get":{"tags":["activity-list"],"operationId":"list_4","parameters":[{"name":"search","in":"query","description":"Строка поиска","required":false,"schema":{"maxLength":100,"minLength":3,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetActivityListResponse"}}}}}}}},"components":{"schemas":{"GetTaxpayerUnregistrationReasonsResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список причин снятия с учета","items":{"$ref":"#/components/schemas/GetUnregistrationReasonsResponseItem"}}},"additionalProperties":false,"description":"Список причин снятия с учета"},"GetUnregistrationReasonsResponseItem":{"required":["code","description"],"type":"object","properties":{"code":{"maxLength":255,"type":"string","description":"Код причины","example":"CODE"},"description":{"maxLength":255,"type":"string","description":"Описание причины","example":"Пример причины"}},"additionalProperties":false,"description":"Причина"},"GetRegistrationRejectionReasonsResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список причин отказа постановки на учет","items":{"$ref":"#/components/schemas/GetRegistrationRejectionReasonsResponseItem"}}},"additionalProperties":false,"description":"Список причин отказа постановки на учет"},"GetRegistrationRejectionReasonsResponseItem":{"required":["code","description","descriptionFNS"],"type":"object","properties":{"code":{"maxLength":255,"type":"string","description":"Код причины","example":"CODE"},"description":{"maxLength":255,"type":"string","description":"Текст для отображения","example":"Пример причины"},"descriptionFNS":{"maxLength":255,"type":"string","description":"Описание причины отказа из ФНС","example":"Пример причины"}},"additionalProperties":false,"description":"Причина отказа"},"GetRegionListResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список регионов","items":{"$ref":"#/components/schemas/GetRegionListResponseItem"}}},"additionalProperties":false,"description":"Список регионов"},"GetRegionListResponseItem":{"required":["name","oktmo"],"type":"object","properties":{"oktmo":{"maxLength":255,"type":"string","description":"ОКТМО","example":"4634453"},"name":{"maxLength":255,"type":"string","description":"Регион","example":"Москва"}},"additionalProperties":false,"description":"Регион"},"GetIncomeCancelReasonsResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список причин","items":{"$ref":"#/components/schemas/GetIncomeCancelReasonsResponseItem"}}},"additionalProperties":false,"description":"Причины отмены чека"},"GetIncomeCancelReasonsResponseItem":{"required":["code","description"],"type":"object","properties":{"code":{"maxLength":255,"type":"string","description":"Код причины отмены чека","example":"CODE"},"description":{"maxLength":255,"type":"string","description":"Описание причины отмены чека","example":"Пример причины"}},"additionalProperties":false,"description":"Причина"},"GetFaqListResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список вопросов и ответов","items":{"$ref":"#/components/schemas/GetFaqListResponseItem"}}},"additionalProperties":false,"description":"Список вопросов и ответов"},"GetFaqListResponseItem":{"required":["content","point"],"type":"object","properties":{"point":{"maxLength":255,"type":"string","description":"Вопрос","example":"Что такое сервис Самозанятый?"},"content":{"maxLength":2000,"type":"string","description":"Ответ","example":"Это этот сервис"}},"additionalProperties":false,"description":"Вопрос и ответ"},"GetActivityListResponse":{"required":["items"],"type":"object","properties":{"items":{"maxItems":100,"type":"array","description":"Список видов деятельности","items":{"oneOf":[{"$ref":"#/components/schemas/GetActivityListResponseItemChild"},{"$ref":"#/components/schemas/GetActivityListResponseItemParent"}]}}},"additionalProperties":false,"description":"Список видов деятельности"},"GetActivityListResponseItem":{"required":["type"],"type":"object","properties":{"type":{"maxLength":6,"type":"string","description":"Тип родительский вид или наследный","enum":["child","parent"]}},"additionalProperties":false,"description":"Вид деятельности","discriminator":{"propertyName":"type","mapping":{"child":"#/components/schemas/GetActivityListResponseItemChild","parent":"#/components/schemas/GetActivityListResponseItemParent"}}},"GetActivityListResponseItemChild":{"required":["id","name","parentId","type"],"type":"object","additionalProperties":false,"description":"Дочерняя деятельность","allOf":[{"$ref":"#/components/schemas/GetActivityListResponseItem"},{"type":"object","properties":{"id":{"maximum":2147483647,"minimum":0,"type":"integer","description":"Id вида деятельности"},"name":{"maxLength":255,"type":"string","description":"Название вида деятельности"},"parentId":{"maximum":2147483647,"minimum":0,"type":"integer","description":"Id родительского вида деятельности"},"type":{"maxLength":6,"type":"string","description":"Тип родительский вид или наследный","enum":["child"]}},"additionalProperties":false}]},"GetActivityListResponseItemParent":{"required":["id","name","type"],"type":"object","additionalProperties":false,"description":"Родитель","allOf":[{"$ref":"#/components/schemas/GetActivityListResponseItem"},{"type":"object","properties":{"id":{"maximum":2147483647,"minimum":0,"type":"integer","description":"Id вида деятельности"},"name":{"maxLength":255,"type":"string","description":"Название вида деятельности"},"type":{"maxLength":6,"type":"string","description":"Тип родительский вид или наследный","enum":["parent"]}},"additionalProperties":false}]}},"parameters":{"uuid":{"name":"UUID","in":"path","description":"UUID","required":true,"schema":{"maxLength":36,"type":"string"}}},"securitySchemes":{"EpaAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"basicAuth":{"type":"http","scheme":"basic"},"clientId":{"type":"apiKey","name":"X-MDM-ID","in":"header"}}}}